RENDERSVG(1)

NAME
rendersvg - an SVG rendering application

SYNOPSIS
rendersvg [OPTIONS] in.svg out.png

rendersvg in.svg out.png

rendersvg -z 4 in.svg out.png

rendersvg --query-all in.svg

OPTIONS
A summary of options is included below.

--h, --help
    Prints help information

-V, --version
    Prints version information

--backend BACKEND
    Sets the rendering backend.

    Has no effect if built with only one backend [default: cairo] [possible values: cairo, qt]

-w LENGTH, --width LENGTH
    Sets the width in pixels

-h LENGTH, --height LENGTH
    Sets the height in pixels

-z FACTOR, --zoom FACTOR
    Zooms the image by a factor

--dpi DPI
    Sets the resolution [default: 96] [possible values: 10..4000]

--background COLOR
    Sets the background color.

    Examples: red, #fff, #fff000

--font-family FAMILY
    Sets the default font family [default: 'Times New Roman']

--font-size SIZE
    Sets the default font size [default: 12] [possible values: 1..192]

--languages LANG
    Sets a comma-separated list of languages that will be used during the 'systemLanguage' attribute resolving.

    Examples: 'en-US', 'en-US, ru-RU', 'en, ru' [default: 'en']

--query-all
    Queries all valid SVG ids with bounding boxes

--export-id ID
    Renders an object only with a specified ID

--perf
    Prints performance stats

--pretend
    Does all the steps except rendering

--quiet
    Disables warnings

--dump-svg=PATH
    Saves the preprocessed SVG to the selected file

ARGS

in.svg
    Input file

out.png
    Output file

SEE ALSO
usvg(1)

AUTHOR
This manual page was written by Andrej Shadura <andrewsh@debian.org> for the Debian project (but may be used by others).